export interface Guild {
  id?: string;
  name?: string;

  channels: [Channel]
  roles: [Role]
  emojis: [Emoji]
}

export interface Channel {
  id?: string;
  name?: string;
  type?: ChannelType;
}

export enum ChannelType {
  category = "category",
  text = "text",
  voice = "voice"
}

export interface Role {
  id?: string;
  name?: string;
}

export interface Emoji {
  id?: string;
  name?: string;
  url?: string;
}
